Trisquel et eeePc 701

12 Antworten [Letzter Beitrag]
gazobumeu
Offline
Beigetreten: 03/09/2016

bonjour,

ma quête d'essayer de faire revivre cette vieille machine m'amène à Trisquel, après des essais d’autres distributions plus ou moins concluants...
Tout d'abord, je ne suis pas linuxien, et je sais que pour une première approche avec une machine atypique (800x480 et 4 Go de disque), ce n'est peut être pas la voie la plus facile.
J'ai donc installé Trisquel mini 7.0 i686.
Résolution d'écran reconnue, 1,4 Go (pardon,Gio) libres, wifi fonctionnel, jauge de batterie aussi (pour citer ce qui ne fonctionne pas toujours avec d'autres distrib). Mais...

ajouter/supprimer des applis : impossible de supprimer quoi que ce soit (dépendances)

gestionnaire de mise à jour : la vérif se fait, la liste des logiciels se charge, puis plus rien

synaptic : rien ne se passe
si je fais exécuter/synaptic pkexec, rien ne se passe
si je fais exécuter/synaptic, il s'ouvre sans droits administrateur (message en anglais)

prise en charge des langues : màj impossible, je n'ai pas les privilèges requis (message en français)

Il s'agit peut être d'un problème de droits, mais je ne sais pas comment le gérer. Je sais ouvrir un terminal mais ma connaissance ne va pas plus loin...
Pourriez-vous m'aider ?

Magic Banana

I am a member!

Offline
Beigetreten: 07/24/2010

Nous parlons d'une machine avec très peu de RAM, n'est-ce pas ? Genre moins de 256 Mo. Si oui, Trisquel, même Mini, est trop gourmande. Voilà les sites Web d'autres distributions GNU/Linux 100% libre, des plus demandeuses en ressources (et agréables à utiliser) au moins demandeuses :

Il se peut aussi que le matériel soit défaillant. memtest86+ (présent sur de nombreux système Live) permet de tester la RAM. Les données SMART d'un disque indiquent son état de santé.

PS : j'aime ton pseudo. :-)

Mangy Dog

I am a member!

I am a translator!

Offline
Beigetreten: 03/15/2015
gazobumeu
Offline
Beigetreten: 03/09/2016

bonsoir,

merci de vos réponses.

Le EeePc avait 512 Mo de RAM, actuellement 2 Go. Je ne pense pas que ce soit un pb matériel, juste avant le "grand saut", la machine tournait parfaitement sous XP.

Midori, mtPaint et AbiWord, par exemple, fonctionnent.

Je suppose que c'est plutôt un pb de droits utilisateur, mais là je ne sais pas quoi faire.

Edit : J'ai pu accéder à synaptic par un terminal en mode super administrateur, mais toujours pas via le menu.

Mangy Dog

I am a member!

I am a translator!

Offline
Beigetreten: 03/15/2015

Bonsoir gazobumeu

2 Go de RAM est comfortable pour LXDE(Mini)Voir XFCE(que l'on peut installer via synaptic Metapackage XFCE Environement Bureau)

Pour Synaptic qui ne s'ouvre que via le terminal
$ gksudo synaptic

Premièrement mettre le système à jour via Synaptic, il suffit de suivre la procédure suivante dans la fenêtre principale :

Demandez la recharge des listes des dépôts via le bouton Recharger.
Cliquez sur le bouton Tout mettre à jour.
Choisissez l'option Mise à jour intelligente.
Cliquez sur le bouton Appliquer pour effectuer les mises à jour.

Redémarrer et Voir si le problem persiste ensuite,il est possible qu'il manque le paquet
lxpolkit

ceci est un bug
https://trisquel.info/en/issues/13803
https://trisquel.info/en/issues/15394
Installable via synaptic ou
code:
$ sudo apt-get install lxpolkit

att4.jpg
Magic Banana

I am a member!

Offline
Beigetreten: 07/24/2010

C'est en fait la commande 'synaptic-pkexec' qui est exécutée par le lanceur. Il serait intéressant de savoir exactement quelle erreur est renvoyée (même en anglais).

Mangy Dog

I am a member!

I am a translator!

Offline
Beigetreten: 03/15/2015

...

shadok11.jpg
gazobumeu
Offline
Beigetreten: 03/09/2016

bonjour,

tout d'abord grand merci pour votre aide.

Veuillez excuser cette demande basique, mais il y a 2 terminaux, UXTerm et XTerm, quelle différence ? Dans le doute, j'ai lancé le terminal via Ctrl+Alt+T.

Recharge des listes des dépôts via le bouton Recharger =Ok
Tout mettre à jour=Ok
Option Mise à jour intelligente : Pas trouvé (mais pas grave ?)
Appliquer pour effectuer les mises à jour=Ok

Après redémarrage :
Synaptic : fonctionne !
ajouter/supprimer des appli : fonctionne !
gestionnaire de mise à jour : fonctionne !
prise en charge des langues : fonctionne !

Par contre, lxpolkit n'est pas présent, dois-je l'installer quand même ?

Encore merci

Magic Banana

I am a member!

Offline
Beigetreten: 07/24/2010

Veuillez excuser cette demande basique, mais il y a 2 terminaux, UXTerm et XTerm, quelle différence ?

Vois la description du paquet "xterm" (par exemple depuis le "Gestionnaire de paquets Synaptic") :
Ce paquet fournit quatre commandes : xterm, l'émulateur de terminal
traditionnel ; uxterm, qui est un sur-ensemble de xterm qui gère les
réglages de paramètres régionaux (« locales »), notamment ceux qui
utilisent l'encodage UTF-8, et qui a besoin du programme luit fourni dans
le paquet x11-utils ; koi8xterm, un programme analogue gérant le jeu de
caractères KOI8-R ; enfin lxterm, un autre sur-ensemble qui choisit celui
de ces programmes qui est le plus approprié en fonction des paramètres
régionaux de l'utilisateur.

Bref, la différence est seulement liée aux caractères que ces émulateurs de terminal peuvent afficher. Ils feront tous tourner l'interpréteur de commandes (le "Shell") de ton choix et, si tu n'écris pas (et qu'aucun de tes nom de fichiers est) en chinois, japonais, coréen, vietnamien, thaï (ou je ne sais quelle autre langue à alphabet non Latin), tu ne verras aucune différence.

Par contre, lxpolkit n'est pas présent, dois-je l'installer quand même ?

Oui, l'absence d'un "polkit" est un problème. Vois ce rapport de bogue : https://trisquel.info/issues/15394

Ceci étant le porblème est censé avoir été résolu il y a cinq mois lorsque "policykit-1-gnome" fut ajouté en dépendance du méta-paquet "trisquel-mini" : https://devel.trisquel.info/trisquel/trisquel-packages/commit/d23b00c42cc837f12f18008b38398e941e835838

As-tu bien mis à jour tout le système ?

gazobumeu
Offline
Beigetreten: 03/09/2016

bonsoir,

je pense avoir mis à jour le système. Par acquit de conscience, j'ai refait la manip décrite par Mangy Dog :
"Demandez la recharge des listes des dépôts via le bouton Recharger.
Cliquez sur le bouton Tout mettre à jour.
Choisissez l'option Mise à jour intelligente.
Cliquez sur le bouton Appliquer pour effectuer les mises à jour"
Mais lxpolkit n'est toujours pas apparu : je l'ai installé via Synaptic.
Maintenant il va me falloir faire de la place car il ne me reste plus que 840 Mo libres, malgré les opérations de nettoyage décrites sur le forum Ubuntu.
Grace à votre aide, mon Eeepc est opérationnel. Encore merci.

Magic Banana

I am a member!

Offline
Beigetreten: 07/24/2010

Si "policykit-1-gnome" est installé (c'est ce paquet qui a été ajouté en dépendance de "trisquel-mini"), il n'est pas nécessaire d'avoir en plus "lxpolkit".

gazobumeu
Offline
Beigetreten: 03/09/2016

policykit-1-gnome est bien présent, j'enlève donc lxpolkit.
Et roule la machine !

Mangy Dog

I am a member!

I am a translator!

Offline
Beigetreten: 03/15/2015

Et roule ma poule ;-)